=== libavcodec/bfin/Makefile ===
OBJS += bfin/dsputil_bfin.o                                             \
        bfin/fdct_bfin.o                                                \
        bfin/idct_bfin.o                                                \
        bfin/pixels_bfin.o                                              \

OBJS-$(CONFIG_HPELDSP)                  += bfin/hpeldsp_bfin.o          \
                                           bfin/hpel_pixels_bfin.o
OBJS-$(CONFIG_VP3DSP)                   += bfin/vp3_bfin.o              \
                                           bfin/vp3_idct_bfin.o
