=== debian/changelog ===
libav (6:10.1-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Loosen build-dependency on libfreetype-dev

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Jun 2014 17:46:13 -0400

libav (6:10.1-1) unstable; urgency=low

  * New upstream release 10:
     - pcm-dvd: Fix 20bit decoding (bug/592)
     - avi: Improve non-interleaved detection (bug/666)
     - arm: hpeldsp: fix put_pixels8_y2_{,no_rnd_}armv6
     - arm: hpeldsp: prevent overreads in armv6 asm (bug/646)
     - avfilter: Add missing emms_c when needed
     - rtmpproto: Check the buffer sizes when copying app/playpath strings
     - swscale: Fix an undefined behaviour
     - vp9: Read the frame size as unsigned
     - dcadec: Use correct channel count in stereo downmix check
     - dcadec: Do not decode the XCh extension when downmixing to stereo
     - matroska: add the Opus mapping
     - matroskadec: read the CodecDelay element
     - rtmpproto: Make sure to pass on the error code if read_connect failed
     - lavr: allocate the resampling buffer with a positive size
     - mp3enc: Properly write bitrate value in XING header (Closes: #736088)
     - golomb: Fix the implementation of get_se_golomb_long
  * Drop debian/libav-tools.maintscript. ffserver is no longer found in
    stable, and this seems to cause other problems today (Closes: #742676)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 11 May 2014 12:28:45 -0400

libav (6:10-2) experimental; urgency=low

  * Recompile against libx264-142 and librtmp1
  * Bump standards version, no changes needed
  * Drop Andres Meija from uploaders. Thanks Andres for your contributions
    to the libav package! (Closes: #743526).

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 12 Apr 2014 08:44:31 -0400

libav (6:10-1) experimental; urgency=low

  * New upstream release 10. Full changelog avaialble at:
    http://git.libav.org/?p=libav.git;a=blob;f=Changelog;hb=refs/tags/v10

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 23 Mar 2014 14:23:55 -0400

libav (6:10~beta2-2) experimental; urgency=low

  * Drop unnecessary packages: libavformat-extra-, libavutil-extra,
    libavfilter-extra and libavdevice-extra.
  * Incorporate post-beta2 patches, including the icy header detection
    patches (Closes: #740421)
  * Add a note about 'ffmpeg' in libav-tools's package description
    (Closes: #729469)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 15 Mar 2014 14:46:20 +0000

libav (6:10~beta2-1) experimental; urgency=low

  * New Upstream release 10_beta2. This upstream git snapshot has too many
    changes to list here, cf. to the upstream Changelog:
    http://git.libav.org/?p=libav.git;a=blob;f=Changelog;hb=refs/tags/v10_beta2

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 15 Mar 2014 00:34:08 +0000

libav (6:10~beta1-2) experimental; urgency=low

  * New Upstream release 10_beta1. This upstream git snapshot has too many
    changes to list here, cf. to the upstream Changelog:
    http://git.libav.org/?p=libav.git;a=blob;f=Changelog;hb=refs/tags/v10_beta1
    - works with H.264 that has different bit depth between chroma and luma,
      Closes: #738599
  * Bump shlibs

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 17 Feb 2014 22:07:03 +0000

libav (6:10~alpha2-1) experimental; urgency=low

  * New Upstream release 10_alpha2. This upstream git snapshot has too many
    changes to list here, cf. to the upstream Changelog:
    http://git.libav.org/?p=libav.git;a=blob;f=Changelog;hb=refs/tags/v10_alpha2

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 18 Jan 2014 15:46:55 +0000

libav (6:10~alpha1-1) experimental; urgency=low

  * New Upstream release 10_alpha1. This upstream git snapshot has too many
    changes to list here, cf. to the upstream Changelog:
    http://git.libav.org/?p=libav.git;a=blob;f=Changelog;hb=refs/tags/v10_alpha1
    - Opus in Ogg demuxing Closes: #733884, #720563, LP: #1265196
    - avprobe output is now standard INI or JSON. Closes: #715467
    - Properly working defaults in libx264 wrapper, Closes: #687048
    - avconv -t option can now be used for inputs, to limit the duration of
      data read from an input file, Closes: #722003

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 18 Dec 2013 15:16:03 +0000

libav (6:9.13-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Loosen build dependency requirement on libfreetype-dev to fix FTBFS

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 05 Jan 2014 15:05:35 -0500

libav (6:9.13-1) unstable; urgency=medium

  * New upstream release 9.13:
    - swscale: Fix an undefined behaviour
    - matroska: add the Opus mapping
    - mp3enc: Properly write bitrate value in XING header (Closes: #736088)
    - origin/pu/9 oggdec: add support for Opus in Ogg demuxing
      (Fixes: libav/603, Closes: #720563)
    - apedec: do not buffer decoded samples over AVPackets (Closes: #744901)
    - isom: lpcm in mov default to big endian
    - movdec: handle 0x7fff langcode as macintosh per the specs
    - h264: reset next_output_pic earlier in start_frame()
      (Fixes: libav/672, Closes: #741240, LP: #1288206)
    - rtmpproto: Make sure to pass on the error code if read_connect failed
    - lavr: allocate the resampling buffer with a positive size
    - tiffdec: use bytestream2 to simplify overread/overwrite protection
    - resample: fix avresample_get_delay() return value
    - avi: Improve non-interleaved detection (Fixes: libav/666)
    - af_channelmap: fix ONE_STR mapping mode
    - movenc: allow override of "writing application" tag
    - matroskaenc: allow override of "writing application" tag
    - avfilter: Add missing emms_c when needed
    - build: Use pkg-config for openjpeg (Fixes: libav/387)
    - mpeg12: check scantable indices in all decode_block functions
    - sgidec: fix buffer size check in expand_rle_row()
    - adx: check that the offset is not negative
    - mpegvideo: set reference/pict_type on generated reference frames

